PostgreSQL 8.4.16 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# ALTER TEXT SEARCH TEMPLATE

## Name

ALTER TEXT SEARCH TEMPLATE -- change the definition of a text search template

## Synopsis

    ALTER TEXT SEARCH TEMPLATE name RENAME TO newname

## Description

`ALTER TEXT SEARCH TEMPLATE` changes the definition of a text search template. Currently, the only supported functionality is to change the template's name.

You must be a superuser to use `ALTER TEXT SEARCH TEMPLATE`.

## Parameters

`name`

  The name (optionally schema-qualified) of an existing text search template.

`newname`

  The new name of the text search template.

## Compatibility

There is no `ALTER TEXT SEARCH TEMPLATE` statement in the SQL standard.

## See Also

CREATE TEXT SEARCH TEMPLATE, DROP TEXT SEARCH TEMPLATE

Prev | Home | Next
ALTER TEXT SEARCH PARSER | Up | ALTER TRIGGER